--- CBPerlArray.m.old	2004-12-15 17:17:31.000000000 -0500
+++ CBPerlArray.m	2004-12-15 17:18:49.000000000 -0500
@@ -13,6 +13,21 @@
 
 @implementation CBPerlArray
 
+#ifdef GNUSTEP
+- (id) initWithCapacity: (unsigned int) anInt
+{
+    dTHX;
+
+    _myArray = newAV();
+    if (!_myArray) {
+      [self release];
+      self = nil;
+    }
+
+    return self;
+}
+#endif /* GNUSTEP */
+
 // Required primitive methods
 - (unsigned)count {
     // Define a Perl context
@@ -171,7 +186,7 @@
             [self release];
             return nil;
         } else {
-            (AV *)_myArray = get_av([varName UTF8String], (YES == shouldCreate) ? 1 : 0);
+            _myArray = get_av([varName UTF8String], (YES == shouldCreate) ? 1 : 0);
             if (NULL == _myArray) {
                 [self release];
                 return nil;
@@ -208,10 +223,11 @@
 + (id) arrayWithAV: (AV*)theAV {
     return [[[CBPerlArray alloc] initWithAV:theAV] autorelease];
 }
+
 - (id) initWithAV: (AV*)theAV {
     self = [super init];
     if (nil != self) {
-        (AV*)_myArray = theAV;
+        _myArray = theAV;
         SvREFCNT_inc((SV*)_myArray);
     }
     return self;
